List Agents
curl --request GET \
--url https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "<string>",
"farm_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"version": "<string>",
"uptime": 123,
"last_online_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total": 4503599627370495,
"page": 123,
"page_size": 123,
"total_pages": 4503599627370495
},
"error": null
}{
"success": false,
"data": null,
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation failed"
}
}{
"success": false,
"data": null,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing credential"
}
}{
"success": false,
"data": null,
"error": {
"code": "FORBIDDEN",
"message": "Access denied"
}
}{
"success": false,
"data": null,
"error": {
"code": "FARM_NOT_FOUND",
"message": "Farm not found"
}
}{
"success": false,
"data": null,
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}
}Agents
List Agents
List agents in the farm.
GET
/
public-api
/
v2
/
workspaces
/
{workspace_id}
/
farms
/
{farm_id}
/
agents
List Agents
Authorizations
oauth-jwtclerk-api-key
Clerk OAuth JWT access token
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Query Parameters
Required range:
x <= 9007199254740991Required range:
x <= 10000